Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 972370 - [PATCH} restore hangs when restoring level 1 dump
[PATCH} restore hangs when restoring level 1 dump
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dump (Show other bugs)
22
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Hracek
Fedora Extras Quality Assurance
: Patch, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-08 19:29 EDT by Alessandro Selli
Modified: 2015-10-17 18:56 EDT (History)
3 users (show)

See Also:
Fixed In Version: dump-0.4-0.26.b44.fc22 dump-0.4-0.26.b44.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-04 15:15:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to the current rawhide package (1.99 KB, patch)
2015-09-24 20:05 EDT, Jason Tibbitts
no flags Details | Diff

  None (edit)
Description Alessandro Selli 2013-06-08 19:29:21 EDT
Description of problem:
Restore of dump level 0 succesful. Restore of level 1 causes this error:
 rename ./var/spool/postfix/lib/i386-linux-gnu/RSTTMP01047047 to ./var/spool/postfix/lib/x86_64-linux-gnu/libnss_dns-2.17.so
rename ./var/lib/dpkg/alternatives/RSTTMP01047086 to ./var/spool/postfix/lib/x86_64-linux-gnu/libnss_files-2.17.so
rename ./var/lib/logrotate/RSTTMP01047107 to ./var/spool/postfix/lib/x86_64-linux-gnu/libnss_hesiod-2.17.so
rename ./var/cache/apt/archives/libjson0_0.10-1.2ubuntu2_amd64.deb to ./var/spool/postfix/lib/x86_64-linux-gnu/libnss_nisplus-2.17.so
Find unreferenced names.
deleteino: out of range 0
abort? [yn] n
deleteino: 0 not found
abort? [yn] n
deleteino: out of range 0
abort? [yn] n
deleteino: 0 not found
abort? [yn] n
deleteino: out of range 0
abort? [yn] n
deleteino: 0 not found
abort? [yn] n
deleteino: out of range 0
abort? [yn] n
deleteino: 0 not found
abort? [yn] n
deleteino: out of range 0
abort? [yn] n
deleteino: 0 not found
abort? [yn] n
n
^Crestore interrupted, continue? [yn] n

After the last "abort? [yn]" was answered "no", like all others, restore hangs, and CPU gets stuck at 100% load. After a dozen minutes, restore is cancelled with a SIGINT (Ctrl+C).

Version-Release number of selected component (if applicable):
dump i686 1:0.4-0.14.b44.fc18

How reproducible:
Always (happened on two separate restores of dumps from different systems, different disks)

Steps to Reproduce:
1. Create a filesystem's dump level 0
2. Modify the filesystem
3. Create the filesystem's dump level 1
4. Remake filesystem (mkfs.ext4)
5. Restore level 0 dump
6. Restore level 1 dump

Actual results:
Find unreferenced names.
deleteino: out of range 0
abort? [yn]

Expected results:
No error messages; successful restore.

Additional info:
A bug with same symptoms was debated on http://sourceforge.net/p/dump/bugs/157/ (created on 2012-06-21)
The same way to solve it (using b42 instead of later versions b43 and b44) was successfully followed:
1. dump version 1:0.4-0.14.b44.fc18 was removed;
2. dump version 1:0.4-0.6.b42.fc13 was installed;
3. restore of same dump files completed successfully.
Comment 1 Alessandro Selli 2013-09-08 10:23:07 EDT
(In reply to Alessandro Selli from comment #0)
> Description of problem:
> Restore of dump level 0 succesful. Restore of level 1 causes this error:
>  rename ./var/spool/postfix/lib/i386-linux-gnu/RSTTMP01047047 to
> ./var/spool/postfix/lib/x86_64-linux-gnu/libnss_dns-2.17.so
> rename ./var/lib/dpkg/alternatives/RSTTMP01047086 to
> ./var/spool/postfix/lib/x86_64-linux-gnu/libnss_files-2.17.so
> rename ./var/lib/logrotate/RSTTMP01047107 to
> ./var/spool/postfix/lib/x86_64-linux-gnu/libnss_hesiod-2.17.so
> rename ./var/cache/apt/archives/libjson0_0.10-1.2ubuntu2_amd64.deb to
> ./var/spool/postfix/lib/x86_64-linux-gnu/libnss_nisplus-2.17.so
> Find unreferenced names.
> deleteino: out of range 0
> abort? [yn] n
> deleteino: 0 not found
> abort? [yn] n
> deleteino: out of range 0
> abort? [yn] n
> deleteino: 0 not found
> abort? [yn] n
> deleteino: out of range 0
> abort? [yn] n
> deleteino: 0 not found
> abort? [yn] n
> deleteino: out of range 0
> abort? [yn] n
> deleteino: 0 not found
> abort? [yn] n
> deleteino: out of range 0
> abort? [yn] n
> deleteino: 0 not found
> abort? [yn] n
> n
> ^Crestore interrupted, continue? [yn] n
> 
> After the last "abort? [yn]" was answered "no", like all others, restore
> hangs, and CPU gets stuck at 100% load. After a dozen minutes, restore is
> cancelled with a SIGINT (Ctrl+C).
> 
> Version-Release number of selected component (if applicable):
> dump i686 1:0.4-0.14.b44.fc18
> 
> How reproducible:
> Always (happened on two separate restores of dumps from different systems,
> different disks)
> 
> Steps to Reproduce:
> 1. Create a filesystem's dump level 0
> 2. Modify the filesystem
> 3. Create the filesystem's dump level 1
> 4. Remake filesystem (mkfs.ext4)
> 5. Restore level 0 dump
> 6. Restore level 1 dump
> 
> Actual results:
> Find unreferenced names.
> deleteino: out of range 0
> abort? [yn]
> 
> Expected results:
> No error messages; successful restore.
> 
> Additional info:
> A bug with same symptoms was debated on
> http://sourceforge.net/p/dump/bugs/157/ (created on 2012-06-21)
> The same way to solve it (using b42 instead of later versions b43 and b44)
> was successfully followed:
> 1. dump version 1:0.4-0.14.b44.fc18 was removed;
> 2. dump version 1:0.4-0.6.b42.fc13 was installed;
> 3. restore of same dump files completed successfully.

Same bug affects Debian Wheezy 7.1 as well:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=714234

Same solution applies there as well:

1) remove package dump-0.4b44-1;
2) install dump-0.4b42-1 downloaded from http://it.archive.ubuntu.com/ubuntu/pool/universe/d/dump/dump_0.4b42-1_amd64.deb.

Any chance this bug will get anyone's attention?
Comment 2 Fedora End Of Life 2013-12-21 08:55:31 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 16:44:05 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Damien Gombault 2015-09-16 07:02:55 EDT
Hi, I think this bug should be reopened.
The dump package in Fedora 22, 23 and rawhide are still affected by this bug.
Comment 5 Alessandro Selli 2015-09-16 07:22:36 EDT
Damien, as I cannot verify it on my own today, I ask you to please confirm that the symptoms and workaround (installation of a b42 version package) are the same as of this bug.
Thank you.
Comment 6 Damien Gombault 2015-09-16 08:26:53 EDT
Hi.

On a fresh up to date Fedora 22 installation, I download the test case found on this page :  http://sourceforge.net/p/dump/bugs/157/

[root@localhost mnt]# dump
dump 0.4b44 (using libext2fs 1.42.12 of 29-Aug-2014)

Then run, you get an error :
[root@localhost mnt]# restore -r -f /root/level0.dump 
[root@localhost mnt]# restore -r -f /root/level1.dump 
deleteino: out of range 0
abort? [yn] 

Downgrade to b42 version :

[root@localhost mnt]# dnf install https://kojipkgs.fedoraproject.org//packages/dump/0.4/0.6.b42.fc14/x86_64/dump-0.4-0.6.b42.fc14.x86_64.rpm

[root@localhost mnt]# dump
dump 0.4b42 (using libext2fs 1.42.12 of 29-Aug-2014)

[root@localhost mnt]# restore -r -f /root/level0.dump 
[root@localhost mnt]# restore -r -f /root/level1.dump 

No error.
Comment 7 Jason Tibbitts 2015-09-24 19:24:28 EDT
Not sure why this was even closed, bit I'll go ahead and reopen it.

Patch exists upstream: http://sourceforge.net/p/dump/bugs/157/
And in Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=714234

Will work up a patch for rawhide in a bit.
Comment 8 Jason Tibbitts 2015-09-24 20:05 EDT
Created attachment 1076796 [details]
Patch to the current rawhide package

This applies the patch from http://sourceforge.net/p/dump/bugs/157/ to the current rawhide package.  Petr, I would be happy to push this out to any branches you wish if that would save you time.  Other folks, if you'd like a scratch build to test, just let me know.
Comment 9 Fedora Update System 2015-09-25 03:23:56 EDT
dump-0.4-0.26.b44.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2af91726f1
Comment 11 Fedora Update System 2015-09-25 04:35:30 EDT
dump-0.4-0.26.b44.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f4124bf060
Comment 12 Fedora Update System 2015-09-26 20:37:58 EDT
dump-0.4-0.26.b44.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dump'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f4124bf060
Comment 13 Fedora Update System 2015-09-26 20:56:07 EDT
dump-0.4-0.26.b44.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dump'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2af91726f1
Comment 14 Jason Tibbitts 2015-09-28 16:01:34 EDT
Cool, thanks!
Comment 15 Damien Gombault 2015-09-29 04:06:08 EDT
Thank you for the update :)
Comment 16 Jason Tibbitts 2015-09-29 10:16:03 EDT
Don't forget to test those updates and give karma.  Were I the maintainer, I wouldn't push this for F22 unless at least a couple of people tested it.
Comment 17 Fedora Update System 2015-10-04 15:15:50 EDT
dump-0.4-0.26.b44.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-10-17 18:56:11 EDT
dump-0.4-0.26.b44.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.